# IRremoteESP8266: magiquest Union Reference

magiquest Union Reference

MagiQuest packet is both Wand ID and magnitude of swish and flick. More...

`#include <ir_Magiquest.h>`

## Public Attributes

uint64_t | llword
uint8_t | byte [8]
uint32_t | lword [2]
struct {
uint16_t magnitude
uint32_t wand_id
uint8_t padding
uint8_t scrap
} | cmd

## Detailed Description

MagiQuest packet is both Wand ID and magnitude of swish and flick.

## Member Data Documentation

## byte

uint8_t magiquest::byte[8]

## cmd

struct { ... } magiquest::cmd

## llword

uint64_t magiquest::llword

## lword

uint32_t magiquest::lword[2]

## magnitude

uint16_t magiquest::magnitude

## padding

uint8_t magiquest::padding

## scrap

uint8_t magiquest::scrap

## wand_id

uint32_t magiquest::wand_id

The documentation for this union was generated from the following file:

- src/ir_Magiquest.h